Subject: [tsvwg] WG Status Update 15th Feb 2012

From: Gorry Fairhurst <[email-masked]>
Date: Fri, 15 Feb 2013 17:39:36 +0000

The list below shows the status of the working group documents as we see 
it. Please check below and comment on drafts using the list. Please do 
send any corrections/omissions to the chairs.

In the last period, we confirmed adoption of the following drafts (see 
http://tools.ietf.org/wg/tsvwg/charters), authors please ensure an up to 
date copy is in the I-D repository:

draft-ietf-tsvwg-sctp-failover [Milestone: Jul 2013]
Adopted by WG. [Milestone: Jul 2013]
draft-ietf-tsvwg-sctp-dtls-encaps [Milestone: Jan 2014]
draft-ietf-tsvwg-sctp-sack-immediately [Milestone: May 2013]
draft-polk-tsvwg-rsvp-app-id-vv-profiles [No milestone agreed]

Please also note:

2013-02-18 (Monday): Internet Draft Cut-off for initial document (-00) 
submission by UTC 24:00, upload using IETF ID Submission Tool.
2013-02-25 (Monday): Internet Draft final submission cut-off by UTC 
24:00, upload using IETF ID Submission Tool.

Best wishes,

Gorry, David & James
(TSVWG Chairs)
Jan 2013

---
Recently published:

draft-ietf-tsvwg-rsvp-security-groupkeying was published as RFC 6411.
draft-ietf-tsvwg-sctpsocket was published as RFC 6458.
draft-ietf-tsvwg-sctp-strrst was published as RFC 6535.
draft-ietf-tsvwg-source-quench was published as RFC 6633.

-------------------------------------------------------------------
IDs in RFC Editor Queue:
http://www.rfc-editor.org/queue.html
None.

-------------------------------------------------------------------
IDs in IESG processing:

draft-ietf-tsvwg-sctp-udp-encap
(Replaced: draft-tuexen-sctp-udp-encap)
STATUS: IESG Review, IANA comments.
---

draft-ietf-tsvwg-byte-pkt-congest
STATUS: Submitted to AD.

-------------------------------------------------------------------

WG Drafts with Chairs:
None.

-------------------------------------------------------------------
WG Drafts:

draft-ietf-tsvwg-rsvp-pcn
Previous version : draft-karagiannis-pcn-tsvwg-rsvp-pcn
WG interest in this topic recorded at IETF-81.
Individual -01, 2011-07-11
AD decision allowed this to be added to the milestones
The document was adopted, status will be EXP (IETF-84 due to 
dependencies on PCN RFCs)
WG -00 8 Oct 2011
RSVP-DIR review requested 13th Oct 2012
DUE: Please comment on RVSP & PCN aspects - MILESTONE EXPIRED.
---

draft-ietf-tsvwg-natsupp-tsvwg
(Replaced: draft-stewart-natsupp-tsvwg)
http://tools.ietf.org/wg/tsvwg/draft-ietf-tsvwg-natsupp/
Dependency from BEHAVE WG.
Adopted as a work item 21 Sept 2010 (Gorry).
WG -00, 29/11/2010
Uploaded as: draft-ietf-natsupp-tsvwg
WG -01, June 1, 2011
Authors restructured draft (-03)
- Done for single home
- Concept done for multihome, no spec yet defined in ID.
DUE: Please comment on list - MILESTONE EXPIRED.
---

draft-ietf-tsvwg-sctp-failover
replaces: draft-nishida-tsvwg-sctp-failover
Individual-00 Presented in Prague, IETF-80.
- understood not to conflict with draft-tuexen-tsvwg-sctp-multipath
- PF has been coded into FreeBSD
WG adoption was approved - request to comment to list on 26/6/2012.
Adopted by WG. [Milestone: Jul 2013]
DUE: Please comment on list.
---
draft-ietf-tsvwg-sctp-dtls-encaps
Formerly was draft-tuexen-tsvwg-sctp-dtls-encaps-01
Implemented in Firefox, Chrome interested.
RTCweb requires this.
WG adoption call after IETF-85. Adoption started 13/12/2013. Support 
{AB, IR, SL, MB, TD}
Implemented in Firefox (FF21)
Adopted as a work item. [Milestone: Jan 2014]
---
draft-ietf-tsvwg-sctp-sack-immediately
Formerly was draft-tuexen-tsvwg-sctp-sack-immediately
-05, 2011-01-02
- Aug 2011, discussed on list and issues raised.
- Implemented in BSD & Linux- 2 reviews received.DUE: Chairs need to 
confirm adoption (need to do work).
WG adoption call after IETF-85. Adoption started 13/12/2013. Support 
{AB, IR, SL, MB, TD}
Implemented/released in FreeBSD, partially implemented in Linux
Adopted as a work item. [Milestone: May 2013]
---
draft-ietf-tsvwg-intserv-multiple-tspec
WG interest in this topic recorded at IETF-78.
Charter update would be needed to progress this work.
5 Reviews needed to determine energy/technical direction.
WG -05 (presented in Beijing, IETF-79)
WG -06 (presented in Prague, IETF-80)
RSVP directorate was consulted.
2 reviews from RSVP-DIR received (Bruce Davie, ?)
2 additional reviews promised (Ken Carlberg, Francois LeF)
Chairs asked AD for a Charter update (IESG agreed)
Draft discussed at IETF-80, and request to update charter agreed
- AD advised 4 named reviewers will be required
Adopted for progression as PS, for May 2012
- New approach presented following WG comments, revised MILESTONE needed.
DUE: Discussion needed on list.
---

draft-ietf-tsvwg-port-use-00
(replaces draft-touch-tsvwg-port-use-00)
- Intended to be advice to protocol designers needing a port.
5 people have looked at this document, Prague IETF-80
Individual -01 July 2011
IETF-81 insufficient feedback from WG at this time.
WG needs to assess if the new draft should be a work item.
IETF-82, discussed - Chairs will ask WG to consider.
Adopted by WG
DUE: Revised ID expected to complete missing sections & include feedback 
from IETF-85
---

draft-polk-tsvwg-rsvp-app-id-vv-profiles
-01 Presented in Beijing, IETF-79.
-02, 14-Mar-2011
Presented IET-80.
WG needs to assess if the new draft should be a work item.
Seek to coordinate with music with partner ID:
draft-polk-mmusic-traffic-class-for-sdp
Author requests to make a WG work item...
Gorry liaised with MMUSIC WG Chairs on companion draft, intended for LC 
early 2013.
Adopted as a TSVWG work item - December 2012.
DUE: Waiting for author to respond with milestone date.

------------------------------------------------------------------
Other news:

RSVP Directorate (formed in May 2010)
Charter updated Aug 2011.
New co-chair: Rolf Winter <[email-masked]>

ITU-T Study Group 12 Liaison on QoS Classes & markings for interconnection

------------------------------------------------------------------